Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Interface Pool

All Known Subinterfaces:
  ItemPool, OrderPool

All Known Implementing Classes:
  ItemPoolImpl, OrderPoolImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface Pool

Represents a collection of PoolObject(s). The Pool interface provides methods for adjusting the price of the pool objects and also to remove the objects from the collection.

Method Summary
`void` | `adjust(List poolObjects, AdjustmentDetail aDetail)` Deprecated See BEA Commerce product offering
`void` | `adjust(PoolObject object, AdjustmentDetail aDetail)` Deprecated See BEA Commerce product offering
`String` | `getCurrency()` Deprecated See BEA Commerce product offering
`AdjustmentDetail` | `getDetail(AdjustmentType type, Money initialPrice, Money endPrice, String computation, String reason, Object discountID)` Deprecated See BEA Commerce product offering
`void` | `remove(Iterator poolObjects)` Deprecated See BEA Commerce product offering
`void` | `remove(PoolObject anObject)` Deprecated See BEA Commerce product offering

Method Detail

### adjust

    void adjust(List poolObjects,
                AdjustmentDetail aDetail)

  Deprecated See BEA Commerce product offering

### adjust

    void adjust(PoolObject object,
                AdjustmentDetail aDetail)

  Deprecated See BEA Commerce product offering

### remove

    void remove(PoolObject anObject)

  Deprecated See BEA Commerce product offering

  Parameters
    `PoolObject` - the object to be removed from the collection.
  See Also
    `PoolObject`

### remove

    void remove(Iterator poolObjects)

  Deprecated See BEA Commerce product offering

  Parameters
    `List` - a set of ItemPoolObjects to be removed from the collection.
  See Also
    `PoolObject`

### getDetail

    AdjustmentDetail getDetail(AdjustmentType type,
                               Money initialPrice,
                               Money endPrice,
                               String computation,
                               String reason,
                               Object discountID)

  Deprecated See BEA Commerce product offering

### getCurrency

    String getCurrency()

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved